ig.module(
	'game.entities.lava'
)
.requires(
	'impact.entity'
)
.defines(function(){
	
EntityLava = ig.Entity.extend({
	_wmScalable: true,
	_wmDrawBox: true,
	_wmBoxColor: 'rgba(255, 0, 0, 0.7)',
	
	size: {x: 16, y: 16},
	damage: 10,
	
	checkAgainst: ig.Entity.TYPE.A,
		
	update: function(){},
	
	check: function(other) 
	{
		other.receiveDamage(this.damage, this);
		
		// other.kill();
	}
});

});